#include "Database.h"

Database::Database(const string &path)
    :
    database(db_create(path.c_str(), VERSION))
{
}

Database::~Database()
{
    db_close(database);
}

string Database::getTitle()
{
    return string(database->dbi_title);
}

void Database::setTitle(const string &title, double local2mm)
{
    db_update_ident(database, title.c_str(), local2mm);
}
